[3.11.1 regression] wrong color depth when saving images

Bug #1248253 reported by Martin Pitt on 2013-11-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Simple Scan
Fix Released
High
Robert Ancell
simple-scan (Ubuntu)
High
Robert Ancell

Bug Description

Today I scanned an image whose saved JPG result was totally ugly, with just 16 colors or so. This didn't happen last week yet (and I dist-upgrade trusty daily). Hence I suppose this is a regression in

simple-scan (3.11.1-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Fix page size not being applied on some drivers
    - Rewrite autosaving. Now uses files for scan data, is more efficient in
      writing to disk and drops dependency on sqlite.
  * debian/control:
    - Drop build-depends on libsqlite3-dev

 -- Robert Ancell <email address hidden> Fri, 01 Nov 2013 11:51:48 -0700

The preview looks alright, but the saved image (attached) looks like Tetris.

This is with a Canon CanoScan LiDE 60 (but that shouldn't matter as the preview is fine and xsane etc. work fine, too).

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: simple-scan 3.11.1-0ubuntu1
ProcVersionSignature: Ubuntu 3.12.0-1.3-generic 3.12.0-rc7
Uname: Linux 3.12.0-1-generic x86_64
ApportVersion: 2.12.6-0ubuntu1
Architecture: amd64
Date: Tue Nov 5 17:47:12 2013
DriverPackageVersions:
 libsane 1.0.23-0ubuntu3
 libsane-extras N/A
 hplip N/A
 hpoj N/A
EcryptfsInUse: Yes
InstallationDate: Installed on 2013-10-14 (22 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Beta amd64 (20131013)
MachineType: LENOVO 2324CTO
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.12.0-1-generic.efi.signed root=UUID=fc4a9057-af30-4479-9b25-699bee7ee746 ro quiet splash vt.handoff=7
SourcePackage: simple-scan
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/09/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: G2ET95WW (2.55 )
dmi.board.asset.tag: Not Available
dmi.board.name: 2324CTO
dmi.board.vendor: LENOVO
dmi.board.version: 0B98401 Pro
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrG2ET95WW(2.55):bd07/09/2013:svnLENOVO:pn2324CTO:pvrThinkPadX230:rvnLENOVO:rn2324CTO:rvr0B98401Pro:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2324CTO
dmi.product.version: ThinkPad X230
dmi.sys.vendor: LENOVO

Martin Pitt (pitti) wrote :
Martin Pitt (pitti) wrote :

For comparison, that's a screenshot of the preview window which looks fine.

tags: added: regression-release
Changed in simple-scan (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in simple-scan:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Robert Ancell (robert-ancell)
status: Triaged → Fix Committed
Robert Ancell (robert-ancell) wrote :

This is the save quality being accidentally reset to minimum. Fix is committed, but you will have the minimum value set in gsettings. Go to Document>Preferences>Quality to reset it to the default (or use dconf-editor)

Changed in simple-scan:
status: Fix Committed → Fix Released
milestone: none → 3.11.1.1
Martin Pitt (pitti) wrote :

Indeed, changing the quality in preferences worked, thank you for the fast fix!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package simple-scan - 3.11.1.1-0ubuntu1

---------------
simple-scan (3.11.1.1-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Fix regression where quality and contrast can be reset to minimum
      (LP: #1248253)
    - Install missing help images (LP: #1211148)
    - Mark autosaved books as needs saving
 -- Robert Ancell <email address hidden> Wed, 06 Nov 2013 20:37:03 +1300

Changed in simple-scan (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers